Delete Single Attribute
curl --request DELETE \
--url https://api.fabric.inc/v3/product-attributes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fabric.inc/v3/product-attributes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fabric.inc/v3/product-attributes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Request is invalid",
"type": "Bad request",
"errors": [
{
"type": "CLIENT_ERROR",
"message": "Invalid request. Check your parameters or request body."
}
]
}{
"message": "The requester is unauthorized",
"type": "UNAUTHORIZED_ERROR"
}{
"type": "REQUEST_DENIED",
"message": "User doesn't have the required permission"
}{
"type": "NOT_FOUND",
"message": "Resource not found"
}{
"type": "SERVER_ERROR",
"message": "Internal Server Error"
}Attributes
Delete Single Attribute
Deletes an attribute by its ID. Use this to remove obsolete or incorrectly created attributes from Product Catalog. Attributes that are already assigned to an Item or Category can’t be deleted.
DELETE
/
product-attributes
/
{id}
Delete Single Attribute
Authorizations
S2S access token (JWT) from fabric Identity service (during Login)
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
Example:
"517fa9dfd42d8b00g1o3k312"
Unique request ID
Example:
"263e731c-45c8-11ed-b878-0242ac120002"
Path Parameters
The 24-character system-generated ID of the attribute to update.
Response
OK
Was this page helpful?
